列出模拟

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

获取租户的攻击模拟活动的列表。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) SecurityEvents.Read.All
委派(个人 Microsoft 帐户) 不支持。
Application SecurityEvents.Read.All

HTTP 请求

GET /security/attackSimulation/simulations

可选的查询参数

此方法支持以下 OData 查询参数,以帮助自定义响应:$count、、$filter``$orderby$skiptoken、、 $top``$select

以下属性支持 $filter$orderbyattackTechniqueattackTypecompletionDateTimedisplayNameisAutomatedlaunchDateTimestatus

用于 @odata.nextLink 分页。

下面是使用它们的示例:

GET /security/attackSimulation/simulations?$count=true
GET /security/attackSimulation/simulations?$filter={property} eq '{property-value}'
GET /security/attackSimulation/simulations?$filter={property} eq '{property-value}'&$top=5
GET /security/attackSimulation/simulations?$orderby={property}
GET /security/attackSimulation/simulations?$top=1
GET /security/attackSimulation/simulations?$select={property}

若要了解一般信息,请参阅 OData 查询参数

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应正文中返回 200 OK 响应代码和 模拟 对象集合。

示例

请求

GET https://graph.microsoft.com/beta/security/attackSimulation/simulations

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "value": [
    {
      "id": "f1b13829-3829-f1b1-2938-b1f12938b1f1",
      "displayName": "Sample Simulation",
      "description": "Sample Simulation Description",
      "attackType": "social",
      "attackTechnique": "credentialHarvesting",
      "status": "scheduled",
      "createdDateTime": "2021-01-01T01:01:01.01Z",
      "createdBy": {
        "id": "99af58b9-ef1a-412b-a581-cb42fe8c8e21",
        "displayName": "Sample User",
        "email": "sampleuser@contoso.com"
      },
      "lastModifiedDateTime": "2021-01-01T01:01:01.01Z",
      "lastModifiedBy": {
        "id": "99af58b9-ef1a-412b-a581-cb42fe8c8e21",
        "displayName": "Sample User",
        "email": "sampleuser@contoso.com"
      },
      "launchDateTime": "2021-01-01T02:01:01.01Z",
      "completionDateTime": "2021-01-07T01:01:01.01Z",
      "isAutomated": false,
      "automationId": "f1b13829-3829-f1b1-2938-b1f12938b1ab",
      "payloadDeliveryPlatform": "email"
    }
  ]
}